	/*Setting up this file to strip the M&E data of personal identifiers and begin processing it for analysis. */
	
	*Global folders
	if c(username) == "KRAGHUNATHAN" { 

	global rawdata_pii "C:\Users\KRAGHUNATHAN\Dropbox (IFPRI)\Data-IN-WOMENS EMPOWERMENT\Confidential\2. PRADAN LEAP BASELINE\M&E data"
	global baseline "C:\Users\KRAGHUNATHAN\Dropbox (IFPRI)\Walmart Foundation\5. PRADAN\3. M&E\3. Data\1. Baseline M&E"
	
	global rawdata "$baseline\1. rawdata"
	global cleandata "$baseline\2. cleandata"
	global finaldata "$baseline\3. finaldata"
	global dofiles "$baseline\4. dofiles"
	
	}
	
	if c(username) == "SRay" { 		
		global root "C:\Users\S.Ray\Dropbox (IFPRI)\Walmart Foundation\8. Grameen India"		
	}
	
	global data "$root\2. M&E\1. Baseline M&E"
	
	log using "$data\4. dofiles\2.indicator_development_endline_log", text replace 
		
	**************************** baseline M&E data ******************************
	
	use "$data\1. rawdata\Group M&E_IFPRI_Share.dta", clear
	
	*****************************************************************************
	*
	* Section A1: FPO Composition
	*
	*****************************************************************************
	
	// FPO gender inclusive mission statement
	
	gen cont_mission_gender_inc = 0
	replace cont_mission_gender_inc = 1 if q_4 == 1 & q_7 == 1
	lab var cont_mission_gender_inc "Continious: FPO gender inclusive mission statement"
	tab cont_mission_gender_inc,m
	
	gen mission_gender_inc = cont_mission_gender_inc
	lab var mission_gender_inc "FPO gender inclusive mission statement"
	tab mission_gender_inc,m
	
	// FPO women proportion
	
	gen mem_count = q_9_a
	lab var mem_count "Total members in FPO"
	
	gen cont_women_prop = q_9_b_2/mem_count
	lab var cont_women_prop "Continious: FPO women proportion"
	tab cont_women_prop,m
	
	gen women_prop = 0
	replace women_prop = 1 if cont_women_prop>=0.33
	lab var women_prop "FPO women proportion"
	tab women_prop,m
	
	// FPO women board member proportion
	
	gen board_mem_count = q_10_a
	lab var board_mem_count "Total board members in FPO"
	
	gen cont_board_women = q_10_b_2/board_mem_count
	lab var cont_board_women "Continious: FPO women board member proportion"
	tab cont_board_women,m
	
	gen board_women = 0
	replace board_women = 1 if cont_board_women>=0.33
	lab var board_women "FPO women board member proportion"
	tab board_women,m
	
	// FPO women as President or VP
	
	gen cont_women_leader = 0
	replace cont_women_leader = 1 if q_11_a_2 == 1 | q_11_b_2 == 1
	lab var cont_women_leader "Continious: FPO women as President or VP"
	tab cont_women_leader,m
	
	gen women_leader = cont_women_leader
	lab var women_leader "FPO women as President or VP"
	tab women_leader,m
	
	// FPO women managers (fulltime)
	
	replace q_12_1 = . if q_12_1 == 99
	replace q_12_2 = . if q_12_2 == 99
	
	egen FT_managers = rowtotal(q_12_1 q_12_2),m
	lab var FT_managers "Count of fulltime managers"
	
	gen cont_ft_women_manager = q_12_2/FT_managers
	lab var cont_ft_women_manager "Continious: FPO women managers (fulltime)"
	tab cont_ft_women_manager,m	
	
	gen ft_women_manager = 0
	replace ft_women_manager = 1 if cont_ft_women_manager>=0.33 & cont_ft_women_manager!=.
	replace ft_women_manager = . if cont_ft_women_manager ==.
	lab var ft_women_manager "FPO women managers (fulltime)"
	tab ft_women_manager,m	
	
	// FPO women non-managers (fulltime)
	
	replace q_13_1 = . if q_13_1 == 99
	replace q_13_2 = . if q_13_2 == 99
	
	egen FT_non_managers = rowtotal(q_13_1 q_13_2),m
	lab var FT_non_managers "Count of fulltime non-managers"
	
	gen cont_ft_women_non_manager = q_13_2/FT_non_managers
	lab var cont_ft_women_non_manager "Continious: FPO women non-managers (fulltime)"
	tab cont_ft_women_non_manager,m	
	
	gen ft_women_non_manager = 0
	replace ft_women_non_manager = 1 if cont_ft_women_non_manager>=0.33 & cont_ft_women_non_manager!=.
	replace ft_women_non_manager = . if cont_ft_women_non_manager ==.
	lab var ft_women_non_manager "FPO women non-managers (fulltime)"
	tab ft_women_non_manager,m	
	
	// FPO women non-managers (parttime)
	
	replace q_14_1 = . if q_14_1 == 99
	replace q_14_2 = . if q_14_2 == 99
	
	egen PT_non_managers = rowtotal(q_14_1 q_14_2),m
	lab var PT_non_managers "Count of parttime non-managers"
	
	gen cont_pt_women_non_manager = q_14_2/PT_non_managers
	lab var cont_pt_women_non_manager "Continious: FPO women non-managers (parttime)"
	tab cont_pt_women_non_manager,m	
	
	gen pt_women_non_manager = 0
	replace pt_women_non_manager = 1 if cont_pt_women_non_manager>=0.33 & cont_pt_women_non_manager!=.
	replace pt_women_non_manager = . if cont_pt_women_non_manager ==.
	lab var pt_women_non_manager "FPO women non-managers (parttime)"
	tab pt_women_non_manager,m
	
	*****************************************************************************
	*
	* Section A2: Elections and meetings
	*
	*****************************************************************************
	
	// Democratic FPO processes
	
	gen cont_democratic_processes = 0
	replace cont_democratic_processes = 1 if q_15_1 == 1 | q_15_2 == 1 | q_15_4 == 1
	lab var cont_democratic_processes "Continious: Democratic FPO processes"
	tab cont_democratic_processes,m
	
	gen democratic_processes = cont_democratic_processes
	lab var democratic_processes "Democratic FPO processes"
	tab democratic_processes,m	
	
	// Regular FPO board elections
	
	gen cont_regular_elections = 0
	replace cont_regular_elections = 1 if (b2_a == 2 & b2_b <=2) & b2_a == 1
	lab var cont_regular_elections "Continious: Regular FPO board elections"
	tab cont_regular_elections,m
	
	gen regular_elections = cont_regular_elections
	lab var regular_elections "Regular FPO board elections"
	tab regular_elections,m	
	
	// Regular general assemblies or meetings
	
	gen cont_regular_meetings = 0
	replace cont_regular_meetings = 1 if (b4_a == 2 & b4_b <=2) & b4_a == 1
	lab var cont_regular_meetings "Continious: Regular meetings"
	tab cont_regular_meetings,m
	
	gen regular_meetings = cont_regular_meetings
	lab var regular_meetings "Regular FPO meetings"
	tab regular_meetings,m	
	
	// FPO meeting attending support
	
	egen cont_meeting_suport = anycount(q_30_a q_30_b q_30_c q_30_d), value(1)
	lab var cont_meeting_suport "Continious: FPO meeting attending support"
	tab cont_meeting_suport,m
	
	gen meeting_suport = 0
	replace meeting_suport = 1 if cont_meeting_suport == 4
	lab var meeting_suport "FPO meeting attending support"
	tab meeting_suport,m
	
	*****************************************************************************
	*
	* Section A3: Inclusion
	*
	*****************************************************************************

	// Sex-disaggregated records
	
	gen cont_gender_system = q_31
	lab var cont_gender_system "Continious: Sex-disaggregated records"
	tab cont_gender_system,m
	
	gen gender_system = cont_gender_system
	lab var gender_system "Sex-disaggregated records"
	tab gender_system,m
	
	
	// Plan for gender equity
	
	foreach x in 1 2 3 4 5 6 7 8 9 10 11 12{
		
		tab q_32_`x' ,m
	}
	
	
	egen eligible_activity = anycount(q_32_*), value(98)
	replace eligible_activity = 12 - eligible_activity
	
	egen cont_equity_plan = anycount(q_32_*), value(1)
	lab var cont_equity_plan "Continious: Plan for gender equity"
	tab cont_equity_plan,m
	
	gen ratio = cont_equity_plan/eligible_activity
	
	gen equity_plan = 0
	replace equity_plan = 1 if ratio == 1
	lab var equity_plan "Plan for gender equity"
	tab equity_plan,m
	
	drop eligible_activity ratio
	
	// Gender quota
	
	gen cont_quota = 0
	replace cont_quota = 1 if q_36 == 1 | q_37 == 1| q_38 == 1
	lab var cont_quota "Continious: Gender quota"
	tab cont_quota,m
	
	gen quota = cont_quota
	lab var quota "Gender quota"
	tab quota,m	
	
	// Provision for equal benefits across gender

	foreach x in 1 2 3 4 5 6 7 {
		
		tab q_39_`x' ,m
	}

	egen eligible_activity = anycount(q_39_*), value(98)
	replace eligible_activity = 7 - eligible_activity
	
	egen cont_equal_benefits = anycount(q_39_*), value(1)
	lab var cont_equal_benefits "Continious: Provision for equal benefits across gender"
	tab cont_equal_benefits,m
	
	gen ratio = cont_equal_benefits/eligible_activity
	
	gen equal_benefits = 0
	replace equal_benefits = 1 if ratio == 1
	lab var equal_benefits "Provision for equal benefits across gender"
	tab equal_benefits,m
	
	drop eligible_activity ratio
	
	*****************************************************************************
	*
	* Section A4: Standard procedures and governance
	*
	*****************************************************************************	
	
	// FPO operations
	
	foreach x in 1 2 3 4 5 6 {
		
		tab q_40_`x' ,m
	}

	egen fpo_op_na = anycount(q_40_1 - q_40_5), value(98)
	replace fpo_op_na = 5 - fpo_op_na
	
	egen cont_fpo_ops = anycount(q_40_1 - q_40_5), value(1)
	lab var cont_fpo_ops "Continious: FPO operations"
	tab cont_fpo_ops,m
	
	gen ratio = cont_fpo_ops/fpo_op_na
	
	gen fpo_ops = 0
	replace fpo_ops = 1 if ratio == 1
	lab var fpo_ops "FPO operations"
	tab fpo_ops,m
	
	drop fpo_op_na ratio
	
	// FPO member safety and comfort
	
	foreach x in 7 8 9 {
		
		tab q_40_`x' ,m
	}

	egen fpo_mem_na = anycount(q_40_7 - q_40_9), value(98)
	replace fpo_mem_na = 3 - fpo_mem_na
	
	egen cont_fpo_mem_safety = anycount(q_40_7 - q_40_9), value(1)
	lab var cont_fpo_mem_safety "Continious: FPO member safety and comfort"
	tab cont_fpo_mem_safety,m
	
	gen ratio = cont_fpo_mem_safety/fpo_mem_na
	
	gen fpo_mem_safety = 0
	replace fpo_mem_safety = 1 if ratio == 1
	lab var fpo_mem_safety "FPO member safety and comfort"
	tab fpo_mem_safety,m
	
	drop fpo_mem_na ratio
	
	// FPO linkages and business practices

	foreach x in 11 12 13 14 15 16 {
		
		tab q_40_`x' ,m
	}

	egen fpo_linkage_na = anycount(q_40_11 - q_40_16), value(98)
	replace fpo_linkage_na = 6 - fpo_linkage_na
	
	egen cont_fpo_linkage = anycount(q_40_11 - q_40_16), value(1)
	lab var cont_fpo_linkage "Continious: FPO linkages and business practices"
	tab cont_fpo_linkage,m
	
	gen ratio = cont_fpo_linkage/fpo_linkage_na
	
	gen fpo_linkage = 0
	replace fpo_linkage = 1 if ratio == 1
	lab var fpo_linkage "FPO member safety and comfort"
	tab fpo_linkage,m
	
	drop fpo_linkage_na ratio
	
	// FPO decisionmaking
	
	egen decision_board_mem = anycount(q_45_a q_45_b q_45_c), value(1)
	egen decision_fpo_mem = anycount(q_45_a q_45_b q_45_c), value(3)
	
	egen cont_fpo_decisionmaking = rowtotal(decision_board_mem decision_fpo_mem)
	lab var cont_fpo_decisionmaking "Continious: FPO decisionmaking"
	tab cont_fpo_decisionmaking,m
	
	gen fpo_decisionmaking = 0
	replace fpo_decisionmaking = 1 if cont_fpo_decisionmaking == 3
	lab var fpo_decisionmaking "FPO decisionmaking"
	tab fpo_decisionmaking,m	
	
	// FPO communications
	
	egen coms_fpo_meets = anycount(q_46_a q_46_b q_46_c), value(1)
	egen coms_phone_calls = anycount(q_46_a q_46_b q_46_c), value(2)
	egen coms_posters = anycount(q_46_a q_46_b q_46_c), value(3)
	egen coms_email = anycount(q_46_a q_46_b q_46_c), value(3)
	
	egen cont_fpo_coms = rowtotal(coms_fpo_meets coms_phone_calls coms_posters coms_email)
	lab var cont_fpo_coms "Continious: FPO decisionmaking"
	tab cont_fpo_coms,m
	
	gen fpo_coms = 0
	replace fpo_coms = 1 if cont_fpo_coms == 3
	lab var fpo_coms "FPO communications"
	tab fpo_coms,m
	
	//FPO implemented satisfaction survey
	
	gen cont_fpo_survey = q_41
	lab var cont_fpo_survey "Continious: FPO implemented satisfaction survey"
	tab cont_fpo_survey,m
	
	gen fpo_survey = cont_fpo_survey
	lab var fpo_survey "FPO implemented satisfaction survey"
	tab fpo_survey,m
	
	*****************************************************************************
	*
	* Section B: Gender Training
	*
	*****************************************************************************	
	
	// FPO leaders received gender training
	
	tab A_5 A_6 ,m
	
	gen cont_leader_gender_training = 0
	replace cont_leader_gender_training = 1 if A_5 == 1 & A_6 == 3
	lab var cont_leader_gender_training "Continious: FPO leaders received gender training"
	tab cont_leader_gender_training, m
	
	gen leader_gender_training = cont_leader_gender_training
	lab var leader_gender_training "FPO leaders received gender training"
	tab leader_gender_training, m
	
	// FPO members received gender training
	
	tab A_7 A_8 ,m
	
	gen cont_mem_gender_training = 0
	replace cont_mem_gender_training = 1 if A_7 == 1 & A_8 == 3
	lab var cont_mem_gender_training "Continious: FPO member received gender training"
	tab cont_mem_gender_training, m
	
	gen mem_gender_training = cont_leader_gender_training
	lab var mem_gender_training "FPO leaders received gender training"
	tab mem_gender_training, m
	
	*****************************************************************************
	*
	* Section D: Market linkages
	*
	*****************************************************************************	
	
	// Improved sales and negotiation ability.
	
	egen sales_nego_increased = anycount(G_1 G_2 G_3), value(1)
	
	egen sales_nego_same = anycount(G_1 G_2 G_3), value(2)
	
	egen sales_nego_decrease = anycount(G_1 G_2 G_3), value(3)
	
	gen cont_improved_sales_nego = sales_nego_increased
	lab var cont_improved_sales_nego "Continious: Improved sales and negotiation ability"
	
	gen improved_sales_nego = 0
	replace improved_sales_nego = 1 if sales_nego_decrease == 0 & sales_nego_increased >=1
	lab var improved_sales_nego "Improved sales and negotiation ability"
	
	
	//Improved linkages
	
	egen linkages = anycount(C_7_a C_7_b C_7_c C_7_d C_7_e C_7_f C_7_g C_7_h C_7_i C_7_j), value(98)
	replace linkages = 10 - linkages
	
	
	egen linkages_stayed = anycount(C_7_a C_7_b C_7_c C_7_d C_7_e C_7_f C_7_g C_7_h C_7_i C_7_j), value(2)
	egen linkages_increased = anycount(C_7_a C_7_b C_7_c C_7_d C_7_e C_7_f C_7_g C_7_h C_7_i C_7_j), value(3)
	
	egen cont_improved_linkages = rowtotal(linkages_stayed linkages_increased)
	lab var cont_improved_linkages "Continious: Improved linkages"
	tab cont_improved_linkages, m
	
	gen ratio = cont_improved_linkages/linkages
	
	gen improved_linkages = 0
	replace improved_linkages = 1 if ratio == 1
	lab var improved_linkages "Improved linkages"
	tab improved_linkages, m
	
	drop ratio
	
	*****************************************************************************
	*
	* Section E: Decision making within the FPO
	*
	*****************************************************************************	
	
	// Decisions made FPO policies
	
	// E_1_6 E_1_7 E_1_8 E_1_9 E_1_10 E_1_11
	
	foreach x in 2 3 4 5 {
		
		tab E_1_`x' ,m
	}

	egen policies_na = anycount(E_1_2 E_1_3 E_1_4 E_1_5), value(98)
	replace policies_na = 4 - policies_na
	
	egen policies_bm = anycount(E_1_2 E_1_3 E_1_4 E_1_5), value(1)
	egen policies_mem = anycount(E_1_2 E_1_3 E_1_4 E_1_5), value(3)
	
	egen cont_fpo_policies = rowtotal(policies_bm policies_mem)
	lab var cont_fpo_policies "Continious: Decisions made FPO policies"
	tab cont_fpo_policies,m
	
	gen ratio = cont_fpo_policies/policies_na
	
	gen fpo_policies = 0
	replace fpo_policies = 1 if ratio == 1
	lab var fpo_policies "FPO member safety and comfort"
	tab fpo_policies,m
	
	drop policies_na policies_bm policies_mem ratio
	
	// Decisions made Partnerships and linkages
	
	foreach x in 6 7 8 {
		
		tab E_1_`x' ,m
	}

	egen partner_na = anycount(E_1_6 E_1_7 E_1_8), value(98)
	replace partner_na = 3 - partner_na
	
	egen partner_bm = anycount(E_1_6 E_1_7 E_1_8), value(1)
	egen partner_mem = anycount(E_1_6 E_1_7 E_1_8), value(3)
	
	egen cont_partner = rowtotal(partner_bm partner_mem)
	lab var cont_partner "Continious: Decisions made Partnerships and linkages"
	tab cont_partner,m
	
	gen ratio = cont_partner/partner_na
	
	gen partner = 0
	replace partner = 1 if ratio == 1
	lab var partner "Decisions made Partnerships and linkages"
	tab partner,m
	
	drop partner_na partner_bm partner_mem ratio
	
	// Decisions made on training
	
	foreach x in 9 10 {
		
		tab E_1_`x' ,m
	}

	egen training_na = anycount(E_1_9 E_1_10), value(98)
	replace training_na = 2 - training_na
	
	egen training_bm = anycount(E_1_9 E_1_10), value(1)
	egen training_mem = anycount(E_1_9 E_1_10), value(3)
	
	egen cont_training = rowtotal(training_bm training_mem)
	lab var cont_training "Continious: Decisions made Partnerships and linkages"
	tab cont_training,m
	
	gen ratio = cont_training/training_na
	
	gen training = 0
	replace training = 1 if ratio == 1
	lab var training "Decisions made Partnerships and linkages"
	tab training,m
	
	drop training_na training_bm training_mem ratio
	
	// Decision communicated with members
	
	egen coms_meeting = anycount(E_2_2 E_2_3 E_2_4 E_2_5 E_2_6 E_2_7 E_2_8 E_2_9 E_2_10 E_2_11), value(1)
	egen coms_phone = anycount(E_2_2 E_2_3 E_2_4 E_2_5 E_2_6 E_2_7 E_2_8 E_2_9 E_2_10 E_2_11), value(2)
	egen coms_paper = anycount(E_2_2 E_2_3 E_2_4 E_2_5 E_2_6 E_2_7 E_2_8 E_2_9 E_2_10 E_2_11), value(3)
	egen coms_minutes = anycount(E_2_2 E_2_3 E_2_4 E_2_5 E_2_6 E_2_7 E_2_8 E_2_9 E_2_10 E_2_11), value(4)
	
	egen cont_decision_coms = rowtotal(coms_meeting coms_phone coms_paper coms_minutes)
	lab var cont_decision_coms "Continious: Decision communicated with members"
	tab cont_decision_coms,m	
	
	gen decision_coms = 0
	replace decision_coms = 1 if cont_decision_coms == 10
	lab var decision_coms "Decision communicated with members"
	tab decision_coms,m		
	
	log close
	